# ZMQContext::isPersistent

(PECL zmq >= 0.5.0)

ZMQContext::isPersistent — Whether the context is persistent

### Description

public ZMQContext::isPersistent ( void ) : bool

Whether the context is persistent. Persistent context is needed for persistent connections as each socket is allocated from a context.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the context is persistent and `FALSE` if the context is non-persistent.